<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (15) on Fri Jun 18 20:43:06 CEST 2021 -->
<title>AuthorRepository</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-06-18">
<meta name="description" content="declaration: package: fr.iut.librarymanagement.repository, interface: AuthorRepository">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.iut.librarymanagement.repository</a></div>
<h1 title="Interface AuthorRepository" class="title">Interface AuthorRepository</h1>
</div>
<section class="description">
<dl class="notes">
<dt>All Superinterfaces:</dt>
<dd><code>org.springframework.data.repository.CrudRepository&lt;<a href="../domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a>,&#8203;org.bson.types.ObjectId&gt;</code>, <code>org.springframework.data.mongodb.repository.MongoRepository&lt;<a href="../domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a>,&#8203;org.bson.types.ObjectId&gt;</code>, <code>org.springframework.data.repository.PagingAndSortingRepository&lt;<a href="../domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a>,&#8203;org.bson.types.ObjectId&gt;</code>, <code>org.springframework.data.repository.query.QueryByExampleExecutor&lt;<a href="../domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a>&gt;</code>, <code>org.springframework.data.repository.Repository&lt;<a href="../domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a>,&#8203;org.bson.types.ObjectId&gt;</code></dd>
</dl>
<hr>
<pre>public interface <span class="type-name-label">AuthorRepository</span>
extends org.springframework.data.mongodb.repository.MongoRepository&lt;<a href="../domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a>,&#8203;org.bson.types.ObjectId&gt;</pre>
<div class="block">The repository of the Author</div>
<dl class="notes">
<dt>See Also:</dt>
<dd><a href="../domain/Author.html" title="class in fr.iut.librarymanagement.domain"><code>Author</code></a></dd>
</dl>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="table-tab" onclick="show(4);">Abstract Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>java.util.List&lt;<a href="../domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#findByFirstnameOrderByLastnameAsc(java.lang.String)">findByFirstnameOrderByLastnameAsc</a></span>&#8203;(java.lang.String&nbsp;firstname)</code></th>
<td class="col-last">
<div class="block">Get authors by there lastname</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>java.util.Optional&lt;<a href="../domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#findById(org.bson.types.ObjectId)">findById</a></span>&#8203;(org.bson.types.ObjectId&nbsp;id)</code></th>
<td class="col-last">
<div class="block">Get an author by its ID</div>
</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>java.util.List&lt;<a href="../domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#findByLastnameOrderByLastnameAsc(java.lang.String)">findByLastnameOrderByLastnameAsc</a></span>&#8203;(java.lang.String&nbsp;lastname)</code></th>
<td class="col-last">
<div class="block">Get authors by there lastname</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.org.springframework.data.repository.CrudRepository">Methods inherited from interface&nbsp;org.springframework.data.repository.CrudRepository</h3>
<code>count, delete, deleteAll, deleteAll, deleteById, existsById, findAllById, save</code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.org.springframework.data.mongodb.repository.MongoRepository">Methods inherited from interface&nbsp;org.springframework.data.mongodb.repository.MongoRepository</h3>
<code>findAll, findAll, findAll, findAll, insert, insert, saveAll</code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.org.springframework.data.repository.PagingAndSortingRepository">Methods inherited from interface&nbsp;org.springframework.data.repository.PagingAndSortingRepository</h3>
<code>findAll</code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.org.springframework.data.repository.query.QueryByExampleExecutor">Methods inherited from interface&nbsp;org.springframework.data.repository.query.QueryByExampleExecutor</h3>
<code>count, exists, findAll, findOne</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="findByLastnameOrderByLastnameAsc(java.lang.String)">
<h3>findByLastnameOrderByLastnameAsc</h3>
<div class="member-signature"><span class="return-type">java.util.List&lt;<a href="../domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a>&gt;</span>&nbsp;<span class="member-name">findByLastnameOrderByLastnameAsc</span>&#8203;(<span class="parameters">java.lang.String&nbsp;lastname)</span></div>
<div class="block">Get authors by there lastname</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lastname</code> - The lastname</dd>
<dt>Returns:</dt>
<dd>A list of author</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="findByFirstnameOrderByLastnameAsc(java.lang.String)">
<h3>findByFirstnameOrderByLastnameAsc</h3>
<div class="member-signature"><span class="return-type">java.util.List&lt;<a href="../domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a>&gt;</span>&nbsp;<span class="member-name">findByFirstnameOrderByLastnameAsc</span>&#8203;(<span class="parameters">java.lang.String&nbsp;firstname)</span></div>
<div class="block">Get authors by there lastname</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>firstname</code> - The firstname</dd>
<dt>Returns:</dt>
<dd>A list of author</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="findById(org.bson.types.ObjectId)">
<h3>findById</h3>
<div class="member-signature"><span class="return-type">java.util.Optional&lt;<a href="../domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a>&gt;</span>&nbsp;<span class="member-name">findById</span>&#8203;(<span class="parameters">org.bson.types.ObjectId&nbsp;id)</span></div>
<div class="block">Get an author by its ID</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>findById</code>&nbsp;in interface&nbsp;<code>org.springframework.data.repository.CrudRepository&lt;<a href="../domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a>,&#8203;org.bson.types.ObjectId&gt;</code></dd>
<dt>Parameters:</dt>
<dd><code>id</code> - The ID</dd>
<dt>Returns:</dt>
<dd>An author</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
